## billiard 3.3.0.15

=== Makefile ===
PYTHON?=python2.5
PYTHONPATH="Lib/"
RUNPYTHON=PYTHONPATH=$(PYTHONPATH) $(PYTHON)
BUILDER="html"

.PHONY=all inplace test clean realclean sdist examples doc

all: inplace

inplace: clean
	$(PYTHON) setup.py build_ext -i

test: inplace
	$(RUNPYTHON) -tt -c "from multiprocessing.tests import main; main()"

clean:
	find Lib/ \( -name '*.py[co]' -or -name '*.so' \) -exec rm {} \;
	rm -rf build/sphinx

realclean: clean
	find . \( -name '*~' -or -name '*.bak' -or -name '*.tmp' \) -exec rm {} \;
	rm -f MANIFEST
	rm -rf multiprocessing.egg-info
	rm -rf build/
	rm -rf dist/

sdist: realclean
	$(PYTHON) setup.py sdist --format=gztar
	$(PYTHON) setup.py sdist --format=zip

examples: inplace
	@echo -n "\n"
	@for EXAMPLE in distributing newtype pool synchronize benchmarks workers; do \
		echo "*** Running example mp_$${EXAMPLE}.py"; \
		$(RUNPYTHON) Doc/includes/mp_$${EXAMPLE}.py || exit 1; \
		echo -n "\n***********************\n\n"; \
	done

doc:
	mkdir -p Doc/static Doc/templates
	$(PYTHON) setup.py build_sphinx --builder=$(BUILDER) \
	    --source-dir=Doc/

=== debian/changelog ===
billiard (3.3.0.15-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Fixup test execution to actually execute tests based on
      installed python versions.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2014 13:14:01 +0000

billiard (3.3.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Drop exclude_funtests_package.patch, as it is no longer needed.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 11 Feb 2014 11:55:10 +0100

billiard (3.3.0.13-1ubuntu1) trusty; urgency=medium

  * d/rules: Fixup test execution to actually execute tests based on
    installed python versions. 

 -- James Page <james.page@ubuntu.com>  Mon, 13 Jan 2014 15:32:19 +0000

billiard (3.3.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards version to 3.9.5.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 15 Dec 2013 18:53:18 +0100

billiard (2.7.3.34-2) unstable; urgency=low

  * Don't use sphinxdoc addon when building binary-arch (Closes: #721779).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 06 Nov 2013 11:11:02 +0200

billiard (2.7.3.34-1) unstable; urgency=low

  * New upstream release.
  * Drop versioned Build-Depends on python-all as no prior versions are
    available in Wheezy.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 15 Oct 2013 08:27:52 +0200

billiard (2.7.3.32-2) unstable; urgency=low

  * Move python-sphinx from Build-Depends-Indep to Build-Depends to fix
    FTBFS if only arch independend parts are built (Closes: #721779).
  * Drop libjs-jquery from Build-Depends-Indep as it is not required during
    build.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 04 Sep 2013 11:53:15 +0200

billiard (2.7.3.32-1) unstable; urgency=low

  * New upstream release.
  * Rename "BSD" to "BSD-3-clause" in d/copyright. Thanks to paultag.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 02 Sep 2013 20:03:14 +0200

billiard (2.7.3.31-1) unstable; urgency=low

  [ Michael Fladischer ]
  * Initial release (Closes: #571656)

  [ Thomas Bechtold ]
  * Update package to version 2.7.3.31.
  * Remove debian/pyversions.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 16 Aug 2013 10:18:12 +0200

=== debian/control ===
Source: billiard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
           Thomas Bechtold <thomasbechtold@jpberlin.de>
Build-Depends: debhelper (>= 9),
               python-all-dev,
               python-mock,
               python-nose,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python-unittest2
X-Python-Version: >= 2.4
Standards-Version: 3.9.5
Homepage: https://github.com/celery/billiard
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/billiard/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/billiard/trunk/

Package: python-billiard
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-billiard-doc
Description: Multiprocessing Pool Extensions for Python
 This package contains extensions to the multiprocessing Pool.
 It extends the multiprocessing.Pool with a billiard.pool.DynamicPool
 that can grow in size.

Package: python-billiard-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Multiprocessing Pool Extensions for Python (Documentation)
 This package contains extensions to the multiprocessing Pool.
 It extends the multiprocessing.Pool with a billiard.pool.DynamicPool
 that can grow in size.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS := $(shell pyversions -i)

%:
	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -N Doc/ Doc/.build/html

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.js -X.html -X.txt

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf Doc/.build

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for py in $(PYVERS); do \
		$$py setup.py test ; \
	done
endif

.PHONY: override_dh_sphinxdoc-arch
override_dh_sphinxdoc-arch:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/b/billiard/billiard-(.*)\.tar\.gz

## billiard 3.3.0.17

=== debian/changelog ===
billiard (3.3.0.17-2) unstable; urgency=medium

  * Add gnukfreebsd.patch to make setup.py recognize GNU/kFreeBSD as a
    FreeBSD platform (Closes: #747441).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 14 Jun 2014 20:41:08 +0200

billiard (3.3.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 23 Apr 2014 12:08:06 +0200

billiard (3.3.0.16-1) unstable; urgency=medium

  * New upstream release.
  * Enable tests during build (Closes: #735201).
  * Enable Python3 support with python3-billiard.
  * Extend remove-nose-cover3.patch to also remove nose-cover3 from funtests
    package.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key 030A2708.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.
  * Remove .PHONY declarations from debian/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 09 Apr 2014 09:52:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: billiard
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
            Thomas Bechtold <thomasbechtold@jpberlin.de>
 Build-Depends: debhelper (>= 9),
@@ -11,8 +10,14 @@
                python-nose,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg-1~),
-               python-unittest2
+               python-unittest2,
+               python3-all-dev,
+               python3-mock,
+               python3-nose,
+               python3-setuptools,
+               python3-sphinx
 X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.0
 Standards-Version: 3.9.5
 Homepage: https://github.com/celery/billiard
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/billiard/trunk/
@@ -27,6 +32,17 @@
  It extends the multiprocessing.Pool with a billiard.pool.DynamicPool
  that can grow in size.
 
+Package: python3-billiard
+Architecture: any
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Suggests: python-billiard-doc
+Description: Multiprocessing Pool Extensions for Python (Python3 version)
+ This package contains extensions to the multiprocessing Pool.
+ It extends the multiprocessing.Pool with a billiard.pool.DynamicPool
+ that can grow in size.
+ .
+ This package contains the Python 3 version of the library.
+
 Package: python-billiard-doc
 Section: doc
 Architecture: all

## billiard 3.3.0.18

=== debian/changelog ===
billiard (3.3.0.18-2) unstable; urgency=low

  * Add patch to fix build on hurd-i386. Closes: #753836.

 -- Brian May <bam@debian.org>  Mon, 18 Aug 2014 13:51:41 +1000

billiard (3.3.0.18-1) unstable; urgency=low

  * New upstream release.
  * Remove gnukfreebsd.patch as it was included upstream.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 14 Aug 2014 15:06:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
-           Thomas Bechtold <thomasbechtold@jpberlin.de>
+           Thomas Bechtold <thomasbechtold@jpberlin.de>,
+           Brian May <bam@debian.org>,
 Build-Depends: debhelper (>= 9),
                python-all-dev,
                python-mock,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_build:
	set -e; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py -B setup.py build; \
	done
	PYTHONPATH=. sphinx-build -b html -N Doc/ Doc/.build/html

override_dh_auto_clean:
	set -e; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py -B setup.py clean; \
		rm -rf build; \
	done
	find -name __pycache__ | xargs rm -rf
	find -name "*.pyc" -delete

override_dh_auto_install:
	set -e; \
	for py in $(PYVERS); do \
		$$py -B setup.py install --skip-build --root debian/python-billiard \
		                      --install-layout deb; \
	done
	set -e; \
	for py in $(PY3VERS); do \
		$$py -B setup.py install --skip-build --root debian/python3-billiard \
		                      --install-layout deb; \
	done
	rm debian/python*-billiard/usr/lib/python*/*-packages/billiard*.egg-info/SOURCES.txt

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

override_dh_clean:
	dh_clean
	rm -rf Doc/.build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Test setup fails for python3.4, will be reenabled once the
	# testsuite works again
	set -e; \
	for py in $(PYVERS); do \
		$$py setup.py test ; \
	done
endif

override_dh_sphinxdoc-arch:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://pypi.python.org/packages/source/b/billiard/billiard-(.*)\.tar\.gz

## billiard 3.3.0.20

=== debian/changelog ===
billiard (3.3.0.20-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:26:33 +0000

billiard (3.3.0.20-1) unstable; urgency=medium

  * New upstream release.
  * Drop remove-nose-cover3.patch as it was included upstream.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 14:31:52 +0200

billiard (3.3.0.19-1) unstable; urgency=medium

  * New upstream release.
  * Drop billiard/_connection.py from Files section as it is no longer
    part of the upstream source.
  * Use pypi.debian.net service for uscan.
  * Bump Standards-Version to 3.9.6.
  * Refresh patches.
  * Add DEP-3 header to hurd.patch.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 07:45:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: billiard
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Michael Fladischer <fladi@debian.org>,
            Thomas Bechtold <thomasbechtold@jpberlin.de>,
            Brian May <bam@debian.org>,
 Build-Depends: debhelper (>= 9),
@@ -19,7 +20,7 @@
                python3-sphinx
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/celery/billiard
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/billiard/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/billiard/trunk/

## billiard 3.3.0.22

=== Makefile ===
PYTHON=python

flakecheck:
	flake8 billiard

flakediag:
	-$(MAKE) flakecheck

flakepluscheck:
	flakeplus billiard --2.6

flakeplusdiag:
	-$(MAKE) flakepluscheck

flakes: flakediag flakeplusdiag

test:
	nosetests -xv billiard.tests

cov:
	nosetests -xv billiard.tests --with-coverage --cover-html --cover-branch

removepyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs rm
	-find . -type d -name "__pycache__" | xargs rm -r

gitclean:
	git clean -xdn

gitcleanforce:
	git clean -xdf

bump_version:
	$(PYTHON) extra/release/bump_version.py billiard/__init__.py

distcheck: flakecheck test gitclean

dist: readme docsclean gitcleanforce removepyc

=== debian/changelog ===
billiard (3.3.0.22-1) unstable; urgency=low

  * New upstream release.
  * Add a patch to fix a typo in multiprocessing.c.

 -- Michael Fladischer <fladi@debian.org>  Sun, 20 Dec 2015 09:14:15 +0100

billiard (3.3.0.21-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 08:30:26 +1100

billiard (3.3.0.20-3) unstable; urgency=medium

  * Clean up debian/rules.
  * Ensure Python3 tests run.
  * Fix FTBFS error. Closes: #804137.

 -- Brian May <bam@debian.org>  Fri, 06 Nov 2015 09:09:53 +1100

billiard (3.3.0.20-2) unstable; urgency=medium

  * Team upload.

  [ SVN-Git Migration ]
  * Added git-dpm
  * Update Vcs fields for git migration

  [ Scott Kitterman ]
  * Convert python3-billiard from arch any to arch all since binary extension
    builds are disabled for python3 and adjust build-depends accordingly
    (Closes: #799182)
  * Add dh-python to build-depends to ensure the most recent version is used

 -- Scott Kitterman <scott@kitterman.com>  Wed, 14 Oct 2015 08:49:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: billiard
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Thomas Bechtold <thomasbechtold@jpberlin.de>,
            Brian May <bam@debian.org>,
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all-dev,
                python-mock,
                python-nose,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg-1~),
                python-unittest2,
-               python3-all-dev,
+               python3-all,
                python3-mock,
                python3-nose,
                python3-setuptools,
@@ -22,8 +22,8 @@
 X-Python3-Version: >= 3.0
 Standards-Version: 3.9.6
 Homepage: https://github.com/celery/billiard
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/billiard/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/billiard/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/billiard.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/billiard.git
 
 Package: python-billiard
 Architecture: any
@@ -35,8 +35,8 @@
  that can grow in size.
 
 Package: python3-billiard
-Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python-billiard-doc
 Description: Multiprocessing Pool Extensions for Python (Python3 version)
  This package contains extensions to the multiprocessing Pool.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=billiard

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -N Doc/ Doc/.build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

override_dh_clean:
	dh_clean
	rm -rf Doc/.build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/billiard/billiard-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## billiard 3.3.0.23

=== debian/changelog ===
billiard (3.3.0.23-2) unstable; urgency=medium

  * Fix up git repository so that Debian release is in the Master branch.
  * Fix Git-Vcs header.

 -- Brian May <bam@debian.org>  Sun, 17 Apr 2016 18:37:53 +1000

billiard (3.3.0.23-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.7.
  * Use https in Vcs-Git field.
  * Use python3-sphinx to build documentation.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Mar 2016 11:21:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                python-mock,
                python-nose,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg-1~),
                python-unittest2,
                python3-all,
                python3-mock,
@@ -20,9 +19,9 @@
                python3-sphinx
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/celery/billiard
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/billiard.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/billiard.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/billiard.git
 
 Package: python-billiard

## billiard 3.5.0.3

=== Makefile ===
PROJ=billiard
PYTHON=python
GIT=git
TOX=tox
NOSETESTS=nosetests
ICONV=iconv
FLAKE8=flake8
FLAKEPLUS=flakeplus
SPHINX2RST=sphinx2rst

SPHINX_DIR=docs/
SPHINX_BUILDDIR="${SPHINX_DIR}/_build"
README=README.rst
README_SRC="docs/templates/readme.txt"
CONTRIBUTING=CONTRIBUTING.rst
CONTRIBUTING_SRC="docs/contributing.rst"
SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
DOCUMENTATION=Documentation
FLAKEPLUSTARGET=2.7

all: help

help:
	@echo "docs                 - Build documentation."
	@echo "test-all             - Run tests for all supported python versions."
	@echo "distcheck ---------- - Check distribution for problems."
	@echo "  test               - Run unittests using current python."
	@echo "  lint ------------  - Check codebase for problems."
	@echo "    apicheck         - Check API reference coverage."
	@echo "    configcheck      - Check configuration reference coverage."
	@echo "    readmecheck      - Check README.rst encoding."
	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
	@echo "    flakes --------  - Check code for syntax and style errors."
	@echo "      flakecheck     - Run flake8 on the source code."
	@echo "      flakepluscheck - Run flakeplus on the source code."
	@echo "readme               - Regenerate README.rst file."
	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
	@echo "clean-dist --------- - Clean all distribution build artifacts."
	@echo "  clean-git-force    - Remove all uncomitted files."
	@echo "  clean ------------ - Non-destructive clean"
	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
	@echo "    clean-docs       - Remove documentation build artifacts."
	@echo "    clean-build      - Remove setup artifacts."

clean: clean-docs clean-pyc clean-build

clean-dist: clean clean-git-force

Documentation:
	(cd "$(SPHINX_DIR)"; $(MAKE) html)
	mv "$(SPHINX_HTMLDIR)" $(DOCUMENTATION)

docs: Documentation

clean-docs:
	-rm -rf "$(SPHINX_BUILDDIR)"

lint: flakecheck apicheck configcheck readmecheck

apicheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) apicheck)

configcheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) configcheck)

flakecheck:
	$(FLAKE8) "$(PROJ)"

flakediag:
	-$(MAKE) flakecheck

flakepluscheck:
	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)"

flakeplusdiag:
	-$(MAKE) flakepluscheck

flakes: flakediag flakeplusdiag

clean-readme:
	-rm -f $(README)

readmecheck:
	$(ICONV) -f ascii -t ascii $(README) >/dev/null

$(README):
	$(SPHINX2RST) "$(README_SRC)" --ascii > $@

readme: clean-readme $(README) readmecheck

clean-contrib:
	-rm -f "$(CONTRIBUTING)"

$(CONTRIBUTING):
	$(SPHINX2RST) "$(CONTRIBUTING_SRC)" > $@

contrib: clean-contrib $(CONTRIBUTING)

clean-pyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs rm
	-find . -type d -name "__pycache__" | xargs rm -r

removepyc: clean-pyc

clean-build:
	rm -rf build/ dist/ .eggs/ *.egg-info/ .tox/ .coverage cover/

clean-git:
	$(GIT) clean -xdn

clean-git-force:
	$(GIT) clean -xdf

test-all: clean-pyc
	$(TOX)

test:
	$(PYTHON) setup.py test

cov:
	$(NOSETESTS) -xv --with-coverage --cover-html --cover-branch

build:
	$(PYTHON) setup.py sdist bdist_wheel

distcheck: lint test clean

dist: readme contrib clean-dist build

=== debian/changelog ===
billiard (3.5.0.3-1) unstable; urgency=low

  * New upstream release.
  * Add new upstream signing key.
  * Refresh patches for 3.5.0.3.
  * Use https:// for copyright-format 1.0 URL.
  * Update d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 30 Jul 2017 20:54:52 +0200

billiard (3.5.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version to 4.0.0.

 -- Brian May <bam@debian.org>  Thu, 13 Jul 2017 08:13:15 +1000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-sphinx
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: https://github.com/celery/billiard
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/billiard.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/billiard.git

## billiard 3.5.0.4

=== debian/changelog ===
billiard (3.5.0.4-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * Remove myself from Uploaders

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.5.
  * Install README.rst for python3-billiard package.
  * Replace python(3)-nose with python(3)-pytest for tests during
    package build.
  * Add python(3)-case to Build-Depends to satisfy test requirements.
  * Clean up .pytest_cache/v/cache/nodeids during builds.
  * Build documentation in override_dh_sphinxdoc.
  * Enable autopkgtest-pkg-python testsuite.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Tue, 07 Aug 2018 10:59:31 +0200

=== debian/control ===
Source: billiard
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all-dev,
 python-case,
 python-mock,
 python-pytest,
 python-setuptools,
 python-unittest2,
 python3-all,
 python3-case,
 python3-mock,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.5
Homepage: https://github.com/celery/billiard
Vcs-Git: https://salsa.debian.org/python-team/modules/billiard.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/billiard
Testsuite: autopkgtest-pkg-python

Package: python-billiard
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Suggests:
 python-billiard-doc,
Description: Multiprocessing Pool Extensions for Python
 This package contains extensions to the multiprocessing Pool.
 It extends the multiprocessing.Pool with a billiard.pool.DynamicPool
 that can grow in size.

Package: python-billiard-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Multiprocessing Pool Extensions for Python (Documentation)
 This package contains extensions to the multiprocessing Pool.
 It extends the multiprocessing.Pool with a billiard.pool.DynamicPool
 that can grow in size.
 .
 This package contains the documentation.

Package: python3-billiard
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-billiard-doc,
Description: Multiprocessing Pool Extensions for Python (Python3 version)
 This package contains extensions to the multiprocessing Pool.
 It extends the multiprocessing.Pool with a billiard.pool.DynamicPool
 that can grow in size.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=billiard

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -N Doc $(CURDIR)/debian/python-billiard-doc/usr/share/doc/python-billiard-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

override_dh_clean:
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/billiard/billiard-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## billiard 3.6.0.0

=== debian/changelog ===
billiard (3.6.0.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add python(3)-psutil to Build-Depends as it is used in tests.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compatibility and version to 12.
  * Add hardening maintainer flags to debian/rules.

 -- Michael Fladischer <fladi@debian.org>  Sun, 10 Feb 2019 16:10:28 +0100

billiard (3.5.0.5-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Clean up files in .pytest_cache/ to allow two builds in a row.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Dec 2018 14:46:30 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=billiard
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -13,7 +14,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html -N Doc $(CURDIR)/debian/python-billiard-doc/usr/share/doc/python-billiard-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html -N Doc $(CURDIR)/debian/python-billiard-doc/usr/share/doc/python-billiard-doc/html
 	dh_sphinxdoc
 endif

## billiard 3.6.1.0

=== debian/changelog ===
billiard (3.6.1.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Clean up pytest artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 13 Sep 2019 12:41:21 +0200

billiard (3.6.0.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 09 Aug 2019 00:46:31 +0500

=== debian/control ===
--- 
+++ 
@@ -6,38 +6,20 @@
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all-dev,
- python-case,
- python-mock,
- python-pytest,
- python-setuptools,
- python-unittest2,
  python3-all,
  python3-case,
  python3-mock,
+ python3-psutil,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Homepage: https://github.com/celery/billiard
 Vcs-Git: https://salsa.debian.org/python-team/modules/billiard.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/billiard
 Testsuite: autopkgtest-pkg-python
-
-Package: python-billiard
-Architecture: any
-Depends:
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Suggests:
- python-billiard-doc,
-Description: Multiprocessing Pool Extensions for Python
- This package contains extensions to the multiprocessing Pool.
- It extends the multiprocessing.Pool with a billiard.pool.DynamicPool
- that can grow in size.
 
 Package: python-billiard-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.txt

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/billiard/billiard-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## billiard 3.6.3.0

=== Makefile ===
--- 
+++ 
@@ -115,7 +115,7 @@
 	$(TOX)
 
 test:
-	$(PYTHON) setup.py test
+	tox -e py
 
 cov:
 	$(NOSETESTS) -xv --with-coverage --cover-html --cover-branch

=== debian/changelog ===
billiard (3.6.3.0-2) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Fladischer ]
  * Add upstream patch to fix Python 3.9 FTBFS (Closes: #975776).
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.1.
  * Set Rules-Requires-Root: no.
  * Use uscan version 4.
  * Remove unused upstream signing key.
  * Add Repository* fields to d/upstream/metadata.
  * Remove debian/upstream-signing-key.pgp from include-binaries, no
    longer used.

 -- Michael Fladischer <fladi@debian.org>  Wed, 09 Dec 2020 18:37:55 +0100

billiard (3.6.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sergio Durigan Junior ]
  * New upstream version 3.6.3.0
  * Bump Standards-Version to 4.5.0.
  * Add myself to the list of Uploaders.
  * Update override_dh_auto_test rule to use "py.test-3".

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 14 Mar 2020 01:08:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: billiard
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
+ Sergio Durigan Junior <sergiodj@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-case,
@@ -15,11 +16,12 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/celery/billiard
-Vcs-Git: https://salsa.debian.org/python-team/modules/billiard.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/billiard
+Vcs-Git: https://salsa.debian.org/python-team/packages/billiard.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/billiard
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-billiard-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,10 @@
 endif
 
 override_dh_auto_test:
-	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="py.test-3" \
+	dh_auto_test
+endif
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/billiard/billiard-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## billiard 3.6.4.0

=== debian/changelog ===
billiard (3.6.4.0-2) unstable; urgency=medium

  * Clean up billiard.egg-info/PKG-INFO to allow two builds in a row.
  * Bump Standards-Version to 4.6.0.1.
  * Add patch to fix invalid syntax in sphinx configuration (Closes:
    #997654).
  * Run tests in build directory instead of source directory.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Thu, 28 Oct 2021 11:40:43 +0000

billiard (3.6.4.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 15 Aug 2021 13:42:17 +0000

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/celery/billiard
 Vcs-Git: https://salsa.debian.org/python-team/packages/billiard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/billiard
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python-billiard-doc

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=billiard
+export PYBUILD_BEFORE_TEST=cp -r {dir}/t {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/t
+export PYBUILD_TEST_ARGS=t/unit
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
@@ -17,12 +20,3 @@
 	PYTHONPATH=. python3 -m sphinx -b html -N Doc $(CURDIR)/debian/python-billiard-doc/usr/share/doc/python-billiard-doc/html
 	dh_sphinxdoc
 endif
-
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="py.test-3" \
-	dh_auto_test
-endif
-
-override_dh_clean:
-	dh_clean

## billiard 4.0.0

=== debian/changelog ===
billiard (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.
  * Update year in d/copyright.
  * Drop patches for issues fixed by upstream.
  * Refresh patches.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Jun 2022 07:17:35 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/celery/billiard
 Vcs-Git: https://salsa.debian.org/python-team/packages/billiard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/billiard

## billiard 4.1.0

=== debian/changelog ===
billiard (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.
  * d/changelog: Mark last entry as "Team upload".

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 24 Dec 2022 00:01:53 -0500

billiard (4.0.2-3) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Apply multi-arch hints. + python-billiard-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 18:58:36 +0100

billiard (4.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:33:49 +0100

billiard (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Use github.com in d/watch.
  * Clean up billiard.egg-info/* to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Sep 2022 10:36:37 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/celery/billiard
 Vcs-Git: https://salsa.debian.org/python-team/packages/billiard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/billiard
@@ -29,6 +29,7 @@
  libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Multiprocessing Pool Extensions for Python (Documentation)
  This package contains extensions to the multiprocessing Pool.
  It extends the multiprocessing.Pool with a billiard.pool.DynamicPool

## billiard 4.2.0

=== debian/changelog ===
billiard (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-case

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 May 2024 01:23:35 +0200

billiard (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Mar 2024 22:59:12 +0100

billiard (4.2.0-1) unstable; urgency=low

  * New upstream version 4.2.0
  * Refresh patches.
  * Add patch to remove distutils code in preparation for Python 3.12.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Nov 2023 18:08:26 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-case,
- python3-mock,
  python3-psutil,
  python3-pytest,
  python3-setuptools,

## billiard 4.2.1

=== debian/changelog ===
billiard (4.2.1-3) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2025 18:16:03 +0100

billiard (4.2.1-2) unstable; urgency=medium

  * Team upload.
  * Copy `code.co_qualname` on Python >= 3.11 (thanks, Rebecca N. Palmer;
    closes: #1101621).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Apr 2025 15:56:55 +0100

billiard (4.2.1-1) unstable; urgency=low

  * New upstream version 4.2.1
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 14 Oct 2024 14:25:13 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
  Sergio Durigan Junior <sergiodj@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-psutil,
- python3-pytest,
+ python3-psutil <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-sphinx,
-Standards-Version: 4.6.2
+ python3-sphinx <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/celery/billiard
 Vcs-Git: https://salsa.debian.org/python-team/packages/billiard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/billiard

## billiard 4.2.2

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	@echo "readme               - Regenerate README.rst file."
 	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
 	@echo "clean-dist --------- - Clean all distribution build artifacts."
-	@echo "  clean-git-force    - Remove all uncomitted files."
+	@echo "  clean-git-force    - Remove all uncommitted files."
 	@echo "  clean ------------ - Non-destructive clean"
 	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
 	@echo "    clean-docs       - Remove documentation build artifacts."

=== debian/changelog ===
billiard (4.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark python3-billiard Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Sep 2025 20:05:29 +0100

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
  ${python3:Depends},
 Suggests:
  python-billiard-doc,
+Multi-Arch: foreign
 Description: Multiprocessing Pool Extensions for Python (Python3 version)
  This package contains extensions to the multiprocessing Pool.
  It extends the multiprocessing.Pool with a billiard.pool.DynamicPool

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.txt

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-psutil,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/billiard-$1.tar.gz/ \
https://github.com/celery/billiard/tags \
/celery/billiard/archive/refs/tags/v([\d\.]+)\.tar\.gz

## billiard 4.2.3

=== debian/changelog ===
billiard (4.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 16:12:43 +0000

## billiard 4.2.4

=== debian/changelog ===
billiard (4.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Eliminate usage of 'return' in 'finally' blocks (closes: #1121668).

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 11:52:32 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Homepage: https://github.com/celery/billiard
 Vcs-Git: https://salsa.debian.org/python-team/packages/billiard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/billiard
-Rules-Requires-Root: no
 
 Package: python-billiard-doc
 Section: doc
